Subject: Re: Linux 2.6.27-rc3: kernel BUG at mm/vmalloc.c - bisected

From: Andrew Morton <[email-masked]>
Date: Fri, 22 Aug 2008 10:51:36 -0700

On Fri, 22 Aug 2008 19:16:51 +0200
Petr Baudis <[email-masked]> wrote:

> On Fri, Aug 22, 2008 at 09:25:49AM -0700, Andrew Morton wrote:
> > On Fri, 22 Aug 2008 11:37:33 -0400 "Alan D. Brunelle" <[email-masked]> wrote:
> > 
> > > I /did/ bisect it down to the aforementioned merge, the question is: How
> > > to crack open that merge into it's composite pieces? (Where do I go to
> > > bisect within that?)
> > 
> > urgh, it's irritating when git-bisect directs you to a merge commit - it
> > hasn't done it for me for ages.
> 
> Hmm, but doesn't that happen only when it's actually really the merge
> commit that introduces the bug? Both parents of the merge commit were
> marked as good by the user, so...

A merge commit doesn't contain any kernel changes?  It's the individual
commits (aka "patches") which were in that merge which broke stuff. 
Confused.

We're trying to dive inside that merge commit to find out which of the
real commits caused the regression.

> > One (probably wrong) approach is to run
> > 
> > 	gitk 1c89ac55017f982355c7761e1c912c88c941483d
> > 
> > then peer at the output, work out which real commits were in that
> > merge.
> > 
> > It looks like the merge ended with
> > b1b135c8d619cb2c7045d6ee4e48375882518bb5 and started with
> > 40c42076ebd362dc69210cccea101ac80b6d4bd4, so perhaps you can do
> > 
> > 	git bisect bad b1b135c8d619cb2c7045d6ee4e48375882518bb5
> > 	git bisect good 40c42076ebd362dc69210cccea101ac80b6d4bd4
> 
> ...I don't quite get this - according to the bisection log,
> 
> 	# good: [b1b135c8d619cb2c7045d6ee4e48375882518bb5] fix spinlock recursion in hvc_console
> 
> and now you want to mark it as bad?

<what bisection log?>

I assume that Alan's bisection search ended up saying that the merge
commit (1c89ac55017f982355c7761e1c912c88c941483d) was the first bad
commit.

Now I don't know what's going on.

> You could try to revert some of the merged commits at the point of the
> merge, though.